<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>

<meta charset="utf-8" />
<title>Modifica dati</title>
</head>
<body>
<div align="center" th:if="${errorMessage}">
    <div th:text="${errorMessage}"></div>
</div>
  
    <div align="center" >
        <br />
        
    
	<h1>Modifica dati dell'account</h1>

    
    <form action="#" th:action="@{/editAccount}" th:object="${persona}"  method="post">
		<div class="form-group">
		<div align="left" class="col-md-4">
		<hr/>
	    <p><b>Nome</b> <input class="form-control"  th:classappend="${#fields.hasErrors('nome')}? is-invalid : ''" type="text" id="nome" th:field="*{nome}" /><span class="text-danger" th:if="${#fields.hasErrors('nome')}" th:errors="*{nome}"></span></p>
	    <p><b>Cognome</b> <input class="form-control"  th:classappend="${#fields.hasErrors('cognome')}? is-invalid : ''" type="text" id="cognome" th:field="*{cognome}" placeholder="Es. Rossi"/><span class="text-danger" th:if="${#fields.hasErrors('cognome')}" th:errors="*{cognome}">Incorrect last name</span></p>
	    <p><b>Codice Fiscale</b> <input class="form-control"  th:classappend="${#fields.hasErrors('codiceFiscale')}? is-invalid : ''" type="text" id="codiceFiscale" th:field="*{codiceFiscale}" placeholder="Es. ABCDEF12G34H567I"/><span class="text-danger" th:if="${#fields.hasErrors('codiceFiscale')}" th:errors="*{codiceFiscale}">Incorrect Codice Fiscale</span></p>
	    <p><b>Email</b> <input class="form-control"  th:classappend="${#fields.hasErrors('email')}? is-invalid : ''" type="email" id="email" th:field="*{email}" placeholder="Es. mario.rossi@gmail.com"/><span class="text-danger" th:if="${#fields.hasErrors('email')}" th:errors="*{email}">Incorrect email</span></p>
	    <p><b>Password</b> <input class="form-control"  th:classappend="${#fields.hasErrors('password')}? is-invalid : ''" type="password" id="password" th:field="*{password}" placeholder="Deve contenere minimo 8 caratteri"/><span class="text-danger" th:if="${#fields.hasErrors('password')}" th:errors="*{password}">Incorrect password</span></p>
	  </div>
	    <p><input class="btn btn-primary" type="submit" value="Modifica dati" /></p>
        </div>
    </form>
	
	<a href="\paginaPersonale">Vai alla pagina personale</a>
    
    </div>

    
</body>
</html>